Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 8 Mar 2016 12:26:57 +0000

Hi,

We did not receive any answer to the request for further information.

At this point in time, we ask the working group to express their opinion about what to do with  draft-ietf-xrblock-rtcp-xr-video-lc.

We have two options:

1.       Continue as planned with the approval and publication process

2.       Not proceed with this document.

All WG participants – please express you preference for option #1 or option #2.

Thanks and Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Sunday, February 07, 2016 11:29 AM
To: Huangyihong (Rachel); Alan Clark; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,

There was one answer to this mail (from Alan) expressing preference for option #1. Let us go with it.

Rachel, it would be good if you can send your colleagues a reminder.

Thanks and Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Friday, January 29, 2016 8:34 AM
To: Huangyihong (Rachel); Alan Clark; [email-masked]<mailto:[email-masked]>
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Thanks, Rachel, for the information and for the efforts to clarify the issue with the legal affairs department at your company.

We have a few more options about what to do next.

1.  Wait a few more weeks for an answer with further information – I suggest no later than February 29, 2016
2. Proceed with the draft given the information available
3. Not proceed with the draft

All WG members – please express your preference.

Thanks and Regards,

Dan

From: Huangyihong (Rachel) [mailto:[email-masked]]
Sent: Friday, January 29, 2016 5:42 AM
To: Huangyihong (Rachel); Alan Clark; Romascanu, Dan (Dan); [email-masked]<mailto:[email-masked]>
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Dear all,

Sorry for so late response to the mailing list.

I have forwarded this IPR issue to our legal affairs department responsible for this IPR disclosure. However, I didn’t get any information for now. And I’m not sure if they have any that could be shared within the mailing list or not (We all know that IETF policy doesn’t require the company to analysis and verify the applying, which is what the legal team or even court  should do when meeting some legal problems).

Meanwhile, I can’t do any clarification for them in public since we’re totally different departments. It will against our company’s law. …So it’s not within my control. Hope WG could understand that.

BR,
Rachel

From: xrblock [mailto:[email-masked]] On Behalf Of Huangyihong (Rachel)
Sent: Friday, January 08, 2016 11:26 AM
To: Alan Clark; Romascanu, Dan (Dan); [email-masked]<mailto:[email-masked]>
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi all,

Sorry for the late response. I’m in a business trip these two weeks with sporadic email access. So I may not respond timely.
This IPR is from another department so I’m not quite familiar with it. I’ll invite the colleague who’s the IPR holder or responsible for the IPR disclosure to clarify in the mailing list. Hope we can find some way to solve this issue.

BR,
Rachel

发件人: xrblock [mailto:[email-masked]] 代表 Alan Clark
发送时间: 2016年1月7日 0:21
收件人: Romascanu, Dan (Dan); [email-masked]<mailto:[email-masked]>
主题: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Dan

Within the IETF patent policy there is no requirement that I'm aware of that requires a disclosing company to prove that the patent they reference does in fact apply to the draft/RFC, which means that companies could make disclosure statements that don't actually apply to the referenced draft/RFC. In many larger companies the IPR/legal team may be distant from the engineering team and I've seen cases in which allegations of infringement were made based on a text match rather than a technical analysis. If, as WG members, we feel that a disclosure may be inappropriate based on a technical understanding of the draft/RFC and the patent then IMHO we should be willing to politely point this out - if the disclosing company wants to keep the disclosure anyway then we have to leave it to individual implementers to obtain their own legal advice; my view is that as WG members and authors we should try and keep the IPR situation as clear as possible.

I've encountered exactly this situation - my company develops software that analyzes voice/ audio/ video stream performance and as part of this we model the performance of a wide range of voice/ audio and video codecs. We have been contacted numerous times by companies that have codec IPR and who see that we analyze streams encoded with the G.xyz codec - we then have to explain that we don't actually implement the codec, only a parametric model.

So - my position is that we should ask Rachel, as an author and a representative of the disclosing company, to request that Huawei verify that their disclosure does, in their opinion, apply.

Regards

Alan

On 1/6/16 9:40 AM, Romascanu, Dan (Dan) wrote:
Hi Alan,

The statement that was posted a few weeks back explicitly refers to this I-D – see https://datatracker.ietf.org/ipr/2725/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_2725_&d=BQMFbw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=kiLRy3Dy18TaCdFTLegz5r3LuHhd2B0eMVVxbhrJLt0&s=LLsGFzAZgTvcoyP_BY4A2BWWgGVV9e9ZAj16tjytCho&e=>. Of course, anybody can comment within the rules, but the fact that the disclosing company considers the IPR related to this I-D is public information.

What is your position as WG participant and as co-author of the document? What should the WG do?

Thanks and Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Alan Clark
Sent: Tuesday, January 05, 2016 10:06 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

I reviewed the patent that the disclosure related to - this appears to describe a method for video coding that uses loss concealment and not a method of reporting the effectiveness of loss concealment. It is of course the responsibility of the IPR holder to verify that their patent does in fact apply to the Draft/RFC to which their disclosure statement applies.  I suggest that the WG chairs ask the participants from the disclosing company to check to see if this disclosure is in fact relevant to the draft.

Regards

Alan
On 1/5/16 7:34 AM, Romascanu, Dan (Dan) wrote:
Hi,

There were no responses to this query. Please express your opinions on the mail list whether we should continue as planned with the approval for this I-D.

Possible options (other may apply):

1.       Continue as planned

2.       Do not continue

3.       Continue, but first do …

Thanks and Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Wednesday, December 16, 2015 12:55 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,

As you may have seen an IPR disclosure that pertains to draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The announcement on the XRBLOCK mail list with  more information can be read at http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_mail-2Darchive_web_xrblock_current_msg01914.html&d=BQMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=JT0PNFMVTwcCOwfJFWR9rPXwWO3aXrz-8hcAnDMibu4&s=Y212mtSrLAN6yGGEigFnx-qwjZv_a0r5MpWucZswumg&e=>.

This I-D was on the agenda of the IESG telechat this Thursday 12/17. Our AD decided to defer this I-D to the next telechat scheduled for January 7, 2016 and asked us to confirm on the mail list that the WG still plans to proceed with the I-D.

Taking into account this new information – do the participants in the WG want to proceed with the approval of this Internet-Draft? Please state your opinions on the WG mail list until Monday January 4, 2016.

Thanks and Regards,

Dan

_______________________________________________

xrblock mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/xrblock<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_xrblock&d=BQMD-g&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=QnXfHHtrCWuOTN6ltI1OQl5JKpT1vIEt5lm6yyUl-K0&s=ZDjj6FP8ei9wzWsi7L54u3cKecOhJxcBl4LP8yojwBQ&e=>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 8 Mar 2016 12:41:45 +0000

ALL WG participants – please answer this question before March 22, 2016.

Thanks and Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Tuesday, March 08, 2016 2:27 PM
To: [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,

We have two options:

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

---

From: Alan Clark <[email-masked]>
Date: Wed, 9 Mar 2016 11:30:12 -0500

Dan

I reviewed (again) the patent cited by Huawei in this disclosure and was 
not able to find any claims or descriptions related to metrics and 
reporting - only details of a video loss concealment algorithm, and the 
draft identifies only a reporting protocol and not a video codec; I will 
caveat this by saying that I've reviewed the English translation of the 
Chinese patent.

While IETF patent policy does not require companies to defend their 
disclosures and does state that the IETF does not take a position on 
whether a patent does or does not apply to a draft/RFC I think it sets a 
bad precedent if a WG does not take objection to disclosures that appear 
to be irrelevant. Saying "are you sure about this?" to the disclosing 
company does not mean that the WG is making any statement on 
infringement, but does IMHO represent a reasonable degree of due 
diligence on behalf of the WG. If we don't push back on disclosing 
companies when we feel that the disclosure is based on an invalid 
understanding of the draft then we are doing a disservice to 
implementers and making the IPR situation more complex and messy than it 
already is.

My position is that we should not proceed with this document, based on 
the information we have at this time.

Regards

Alan Clark

On 3/8/16 7:41 AM, Romascanu, Dan (Dan) wrote:
> *From:*xrblock [mailto:[email-masked]] *On Behalf Of 
> *Romascanu, Dan (Dan)
> *Sent:* Tuesday, March 08, 2016 2:27 PM
> *To:* [email-masked]
> *Subject:* Re: [xrblock] after the IPR Disclosure related to 
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi,
>
> At this point in time, we ask the working group to express their 
> opinion about what to do with  draft-ietf-xrblock-rtcp-xr-video-lc.
>
> We have two options:
>
> 1.Continue as planned with the approval and publication process
>
> 2.Not proceed with this document.
>
> *From:*xrblock [mailto:[email-masked]] *On Behalf Of 
> *Romascanu, Dan (Dan)
> *Sent:* Sunday, February 07, 2016 11:29 AM
> *To:* Huangyihong (Rachel); Alan Clark; [email-masked] 
> <mailto:[email-masked]>
> *Subject:* Re: [xrblock] after the IPR Disclosure related to 
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi,
>
> *From:*xrblock [mailto:[email-masked]] *On Behalf Of 
> *Romascanu, Dan (Dan)
> *Sent:* Friday, January 29, 2016 8:34 AM
> *To:* Huangyihong (Rachel); Alan Clark; [email-masked] 
> <mailto:[email-masked]>
> *Subject:* Re: [xrblock] after the IPR Disclosure related to 
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Thanks, Rachel, for the information and for the efforts to clarify the 
> issue with the legal affairs department at your company.
>
> *From:*Huangyihong (Rachel) [mailto:[email-masked]]
> *Sent:* Friday, January 29, 2016 5:42 AM
> *To:* Huangyihong (Rachel); Alan Clark; Romascanu, Dan (Dan); 
> [email-masked] <mailto:[email-masked]>
> *Subject:* RE: [xrblock] after the IPR Disclosure related to 
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Dear all,
>
> I have forwarded this IPR issue to our legal affairs department 
> responsible for this IPR disclosure. However, I didn’t get any 
> information for now. And I’m not sure if they have any that could be 
> shared within the mailing list or not (We all know that IETF policy 
> doesn’t require the company to analysis and verify the applying, which 
> is what the legal team or even court  should do when meeting some 
> legal problems).
>
> Meanwhile, I can’t do any clarification for them in public since we’re 
> totally different departments. It will against our company’s law. …So 
> it’s not within my control. Hope WG could understand that.
>
> BR,
>
> Rachel
>
> *From:*xrblock [mailto:[email-masked]] *On Behalf Of 
> *Huangyihong (Rachel)
> *Sent:* Friday, January 08, 2016 11:26 AM
> *To:* Alan Clark; Romascanu, Dan (Dan); [email-masked] 
> <mailto:[email-masked]>
> *Subject:* Re: [xrblock] after the IPR Disclosure related to 
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi all,
>
> Sorry for the late response. I’m in a business trip these two weeks 
> with sporadic email access. So I may not respond timely.
>
> This IPR is from another department so I’m not quite familiar with it. 
> I’ll invite the colleague who’s the IPR holder or responsible for the 
> IPR disclosure to clarify in the mailing list. Hope we can find some 
> way to solve this issue.
>
> BR,
>
> Rachel
>
> *发件人**:*xrblock [mailto:[email-masked]] *代表 *Alan Clark
> *发送时间:* 2016年1月7日 0:21
> *收件人:* Romascanu, Dan (Dan); [email-masked] <mailto:[email-masked]>
> *主题:* Re: [xrblock] after the IPR Disclosure related to 
> draft-ietf-xrblock-rtcp-xr-video-lc
>
> Hi Dan
>
> Within the IETF patent policy there is no requirement that I'm aware 
> of that requires a disclosing company to prove that the patent they 
> reference does in fact apply to the draft/RFC, which means that 
> companies could make disclosure statements that don't actually apply 
> to the referenced draft/RFC. In many larger companies the IPR/legal 
> team may be distant from the engineering team and I've seen cases in 
> which allegations of infringement were made based on a text match 
> rather than a technical analysis. If, as WG members, we feel that a 
> disclosure may be inappropriate based on a technical understanding of 
> the draft/RFC and the patent then IMHO we should be willing to 
> politely point this out - if the disclosing company wants to keep the 
> disclosure anyway then we have to leave it to individual implementers 
> to obtain their own legal advice; my view is that as WG members and 
> authors we should try and keep the IPR situation as clear as possible.
>
> I've encountered exactly this situation - my company develops software 
> that analyzes voice/ audio/ video stream performance and as part of 
> this we model the performance of a wide range of voice/ audio and 
> video codecs. We have been contacted numerous times by companies that 
> have codec IPR and who see that we analyze streams encoded with the 
> G.xyz codec - we then have to explain that we don't actually implement 
> the codec, only a parametric model.
>
> So - my position is that we should ask Rachel, as an author and a 
> representative of the disclosing company, to request that Huawei 
> verify that their disclosure does, in their opinion, apply.
>
> Regards
>
> Alan
>
>     The statement that was posted a few weeks back explicitly refers
>     to this I-D – see https://datatracker.ietf.org/ipr/2725/
>     <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_2725_&d=BQMFbw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=kiLRy3Dy18TaCdFTLegz5r3LuHhd2B0eMVVxbhrJLt0&s=LLsGFzAZgTvcoyP_BY4A2BWWgGVV9e9ZAj16tjytCho&e=>.
>     Of course, anybody can comment within the rules, but the fact that
>     the disclosing company considers the IPR related to this I-D is
>     public information.
>
>     *From:*xrblock [mailto:[email-masked]] *On Behalf Of
>     *Alan Clark
>     *Sent:* Tuesday, January 05, 2016 10:06 PM
>     *To:* [email-masked] <mailto:[email-masked]>
>     *Subject:* Re: [xrblock] after the IPR Disclosure related to
>     draft-ietf-xrblock-rtcp-xr-video-lc
>
>     I reviewed the patent that the disclosure related to - this
>     appears to describe a method for video coding that uses loss
>     concealment and not a method of reporting the effectiveness of
>     loss concealment. It is of course the responsibility of the IPR
>     holder to verify that their patent does in fact apply to the
>     Draft/RFC to which their disclosure statement applies.  I suggest
>     that the WG chairs ask the participants from the disclosing
>     company to check to see if this disclosure is in fact relevant to
>     the draft.
>
>     Regards
>
>     Alan
>
>         There were no responses to this query. Please express your
>         opinions on the mail list whether we should continue as
>         planned with the approval for this I-D.
>
>         1.Continue as planned
>         2.Do not continue
>         3.Continue, but first do …
>
>         Thanks and Regards,
>
>         Dan
>
>         *From:*xrblock [mailto:[email-masked]] *On Behalf Of
>         *Romascanu, Dan (Dan)
>         *Sent:* Wednesday, December 16, 2015 12:55 PM
>         *To:* [email-masked] <mailto:[email-masked]>
>         *Subject:* [xrblock] after the IPR Disclosure related to
>         draft-ietf-xrblock-rtcp-xr-video-lc
>
>         Hi,
>
>         As you may have seen an IPR disclosure that pertains to
>         draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently.
>         The announcement on the XRBLOCK mail list with  more
>         information can be read at
>         http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html
>         <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_mail-2Darchive_web_xrblock_current_msg01914.html&d=BQMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=JT0PNFMVTwcCOwfJFWR9rPXwWO3aXrz-8hcAnDMibu4&s=Y212mtSrLAN6yGGEigFnx-qwjZv_a0r5MpWucZswumg&e=>.
>
>
>         This I-D was on the agenda of the IESG telechat this Thursday
>         12/17. Our AD decided to defer this I-D to the next telechat
>         scheduled for January 7, 2016 and asked us to confirm on the
>         mail list that the WG still plans to proceed with the I-D.
>
>         Taking into account this new information – do the participants
>         in the WG want to proceed with the approval of this
>         Internet-Draft? Please state your opinions on the WG mail list
>         until Monday January 4, 2016.
>
>         Thanks and Regards,
>
>         Dan
>
>         [email-masked] <mailto:[email-masked]>
>
>         https://www.ietf.org/mailman/listinfo/xrblock
>         <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_xrblock&d=BQMD-g&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=QnXfHHtrCWuOTN6ltI1OQl5JKpT1vIEt5lm6yyUl-K0&s=ZDjj6FP8ei9wzWsi7L54u3cKecOhJxcBl4LP8yojwBQ&e=>
>
>
>
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xrblock

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Thu, 10 Mar 2016 08:00:16 +0000

Hi,

I cannot say the absolute irrelevance between the draft and the patent. Cleary, a choosing of concealment algorithm may affect the values contained in the protocol. And I think my colleagues make the IPR disclosure based on the following IETF IPR policy RFC3979
“
   Any individual participating in an IETF discussion who reasonably and
   personally knows of IPR meeting the conditions of Section 6.6 which
   the individual believes Covers or may ultimately Cover a Contribution
   made by another person, or which such IETF participant reasonably and
   personally knows his or her employer or sponsor may assert against
   Implementing Technologies based on such Contribution, must make a
   disclosure in accordance with this Section 6.
”

And I checked the disclosure, which says
“
If any claim of any patent owned or controlled by Huawei or its Affiliates is essential on a technical ground to the standard adopted by IETF, Huawei on behalf of itself and its Affiliates hereby covenant not to assert any such claim against any party for making, using, selling, offering for sale or importing a product that implements the corresponding part of the standard. However, nothing herein shall preclude Huawei or any of its Affiliates from asserting the above mentioned patent claims against any party that asserts directly or indirectly a patent it owns or controls against Huawei and/or its Affiliates, or against any products of Huawei or its Affiliates either alone or in combination with other products.
FRAND royalty-bearing licenses will be available to anyone who prefers that option.
”
I think it’s a quite weak declaration which does not license any patent claim to any friendly implementations. Instead, it’s only workable when companies want to use some patents against Huawei, plus it will also depend on if the judge decides the disclosure is workable or not. In such a case,  I don’t think implementers need to worry about this.

This work is technically reasonable and valuable, thus my position is to continue progressing it.

BR,
Rachel

From: xrblock [mailto:[email-masked]] On Behalf Of Alan Clark
Sent: Thursday, March 10, 2016 12:30 AM
To: [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Dan

I reviewed (again) the patent cited by Huawei in this disclosure and was not able to find any claims or descriptions related to metrics and reporting - only details of a video loss concealment algorithm, and the draft identifies only a reporting protocol and not a video codec; I will caveat this by saying that I've reviewed the English translation of the Chinese patent.

While IETF patent policy does not require companies to defend their disclosures and does state that the IETF does not take a position on whether a patent does or does not apply to a draft/RFC I think it sets a bad precedent if a WG does not take objection to disclosures that appear to be irrelevant. Saying "are you sure about this?" to the disclosing company does not mean that the WG is making any statement on infringement, but does IMHO represent a reasonable degree of due diligence on behalf of the WG. If we don't push back on disclosing companies when we feel that the disclosure is based on an invalid understanding of the draft then we are doing a disservice to implementers and making the IPR situation more complex and messy than it already is.

My position is that we should not proceed with this document, based on the information we have at this time.

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options:

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

xrblock mailing list

---

From: Alan Clark <[email-masked]>
Date: Thu, 10 Mar 2016 09:08:21 -0500

Hi Rachel

According to your logic, as the MOS score reported using RFC3611 or 
RFC6035 would be affected by the choice of voice codec on a call then an 
implementer of these protocols should obtain a license to every voice 
codec patent, which is obviously not the case. The question is - does 
the implementer have to implement what is described in the patent and 
claimed in the patent claims, and in the case of concealment metrics the 
implementer does not need to implement a concealment algorithm in order 
to report the metrics.

On the disclosure itself:-
(i) a reciprocity condition is not weak. Say that I have a fundamental 
patent related to SDN technology and would like to assert this against 
companies that infringe it then a reciprocity condition could affect my 
ability to enforce my patent.
(ii) it is unrealistic to say "it's no problem a judge could figure it 
out". Patent litigation is very expensive and by the time a case gets in 
front of a judge then the lawyers' bill can be in the US$ millions.

My view is that if we don't push back (at least at the WG level) on 
patent disclosures that are not relevant to the draft then we would 
encourage frivolous disclosure and adversely impact the adoption of IETF 
RFCs and Standards.

The WG certainly does have the option of deciding not to proceed with a 
draft if there has been a patent disclosure against that draft, and I 
think that we should invoke that option.

Regards

Alan

On 3/10/16 3:00 AM, Huangyihong (Rachel) wrote:
>
> Hi,
>
> I cannot say the absolute irrelevance between the draft and the 
> patent. Cleary, a choosing of concealment algorithm may affect the 
> values contained in the protocol. And I think my colleagues make the 
> IPR disclosure based on the following IETF IPR policy RFC3979
>
> “
>
>    personallyknows of IPR meeting the conditions of Section 6.6 which
>
>    the individual believes Covers or may ultimately Covera Contribution
>
> If any claim of any patent owned or controlled by Huawei or its 
> Affiliates is essential on a technical ground to the standard adopted 
> by IETF, Huawei on behalf of itself and its Affiliates hereby covenant 
> not to assert any such claim against any party for making, using, 
> selling, offering for sale or importing a product that implements the 
> corresponding part of the standard. However, nothing herein shall 
> preclude Huawei or any of its Affiliates from asserting the above 
> mentioned patent claims against any party that asserts directly or 
> indirectly a patent it owns or controls against Huawei and/or its 
> Affiliates, or against any products of Huawei or its Affiliates either 
> alone or in combination with other products.
> I think it’s a quite weak declaration which does not license any 
> patent claim to any friendly implementations. Instead, it’s only 
> workable when companies want to use some patents against Huawei, plus 
> it will also depend on if the judge decides the disclosure is workable 
> or not. In such a case,  I don’t think implementers need to worry 
> about this.
>
> *From:*xrblock [mailto:[email-masked]] *On Behalf Of *Alan Clark
> *Sent:* Thursday, March 10, 2016 12:30 AM
> *To:* [email-masked]
> I reviewed (again) the patent cited by Huawei in this disclosure and 
> was not able to find any claims or descriptions related to metrics and 
> reporting - only details of a video loss concealment algorithm, and 
> the draft identifies only a reporting protocol and not a video codec; 
> I will caveat this by saying that I've reviewed the English 
> translation of the Chinese patent.
>
> whether a patent does or does not apply to a draft/RFC I think it sets 
> a bad precedent if a WG does not take objection to disclosures that 
> appear to be irrelevant. Saying "are you sure about this?" to the 
> disclosing company does not mean that the WG is making any statement 
> on infringement, but does IMHO represent a reasonable degree of due 
> implementers and making the IPR situation more complex and messy than 
> it already is.
>
>     There was one answer to this mail (from Alan) expressing
>     preference for option #1. Let us go with it.
>
>     Thanks, Rachel, for the information and for the efforts to clarify
>     the issue with the legal affairs department at your company.
>
>     1.  Wait a few more weeks for an answer with further information –
>     I suggest no later than February 29, 2016
>
>     information for now. And I’m not sure if they have any that could
>     be shared within the mailing list or not (We all know that IETF
>     policy doesn’t require the company to analysis and verify the
>     applying, which is what the legal team or even court  should do
>     when meeting some legal problems).
>
>     Meanwhile, I can’t do any clarification for them in public since
>     we’re totally different departments. It will against our company’s
>     law. …So it’s not within my control. Hope WG could understand that.
>
>     BR,
>
>     Rachel
>
>     Sorry for the late response. I’m in a business trip these two
>     weeks with sporadic email access. So I may not respond timely.
>
>     This IPR is from another department so I’m not quite familiar with
>     it. I’ll invite the colleague who’s the IPR holder or responsible
>     for the IPR disclosure to clarify in the mailing list. Hope we can
>     find some way to solve this issue.
>
>     BR,
>
>     Rachel
>
>     *发 件人:*xrblock [mailto:[email-masked]] *代 表 *Alan Clark
>     *发 送时间:*2016年1月7日0:21
>     *收件人:*Romascanu, Dan (Dan); [email-masked]
>     *主题:*Re: [xrblock] after the IPR Disclosure related to
>     Within the IETF patent policy there is no requirement that I'm
>     aware of that requires a disclosing company to prove that the
>     patent they reference does in fact apply to the draft/RFC, which
>     means that companies could make disclosure statements that don't
>     actually apply to the referenced draft/RFC. In many larger
>     companies the IPR/legal team may be distant from the engineering
>     team and I've seen cases in which allegations of infringement were
>     made based on a text match rather than a technical analysis. If,
>     as WG members, we feel that a disclosure may be inappropriate
>     based on a technical understanding of the draft/RFC and the patent
>     then IMHO we should be willing to politely point this out - if the
>     disclosing company wants to keep the disclosure anyway then we
>     have to leave it to individual implementers to obtain their own
>     legal advice; my view is that as WG members and authors we should
>     try and keep the IPR situation as clear as possible.
>
>     I've encountered exactly this situation - my company develops
>     software that analyzes voice/ audio/ video stream performance and
>     as part of this we model the performance of a wide range of voice/
>     audio and video codecs. We have been contacted numerous times by
>     companies that have codec IPR and who see that we analyze streams
>     encoded with the G.xyz codec - we then have to explain that we
>     don't actually implement the codec, only a parametric model.
>
>         The statement that was posted a few weeks back explicitly
>         refers to this I-D – see
>         https://datatracker.ietf.org/ipr/2725/
>         Of course, anybody can comment within the rules, but the fact
>         that the disclosing company considers the IPR related to this
>         I-D is public information.
>
>         loss concealment. It is of course the responsibility of the
>         IPR holder to verify that their patent does in fact apply to
>         the Draft/RFC to which their disclosure statement applies.  I
>         suggest that the WG chairs ask the participants from the
>         disclosing company to check to see if this disclosure is in
>         fact relevant to the draft.
>
>         Regards
>
>         Alan
>
>             *From:*xrblock [mailto:[email-masked]] *On
>             Behalf Of *Romascanu, Dan (Dan)
>             draft-ietf-xrblock-rtcp-xr-video-lc was submitted
>             recently. The announcement on the XRBLOCK mail list with
>              more information can be read at
>             This I-D was on the agenda of the IESG telechat this
>             Thursday 12/17. Our AD decided to defer this I-D to the
>             next telechat scheduled for January 7, 2016 and asked us
>             to confirm on the mail list that the WG still plans to
>             proceed with the I-D.
>
>             Taking into account this new information – do the
>             participants in the WG want to proceed with the approval
>             of this Internet-Draft? Please state your opinions on the
>             WG mail list until Monday January 4, 2016.
>
>             Thanks and Regards,
>
>             Dan
>

---

From: "Roni Even" <[email-masked]>
Date: Thu, 10 Mar 2016 16:11:57 +0200

Hi,

I am not sure that the IETF WGs are the body that make a decision if an IPR is valid or not. So I will argue that we can proceed with the document. I think that the licensing terms are OK with the IETF policies and there should be no reason to stop the publication

Thanks

Roni Even

From: xrblock [mailto:[email-masked]] On Behalf Of Alan Clark
Sent: Wednesday, March 09, 2016 6:30 PM
To: [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options: 

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

 

From: Huangyihong (Rachel) [mailto:[email-masked]] 
Sent: Friday, January 29, 2016 5:42 AM
To: Huangyihong (Rachel); Alan Clark; Romascanu, Dan (Dan); [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Dear all,

BR,

Rachel

From: xrblock [mailto:[email-masked]] On Behalf Of Huangyihong (Rachel)
Sent: Friday, January 08, 2016 11:26 AM
To: Alan Clark; Romascanu, Dan (Dan); [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi all,

BR,

Rachel

发件人: xrblock [mailto:[email-masked]] 代表 Alan Clark
发送时间: 2016年1月7日 0:21
收件人: Romascanu, Dan (Dan); [email-masked]
主题: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Dan

Regards

Alan

Hi Alan,

The statement that was posted a few weeks back explicitly refers to this I-D – see https://datatracker.ietf.org/ipr/2725/ <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_2725_&d=BQMFbw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=kiLRy3Dy18TaCdFTLegz5r3LuHhd2B0eMVVxbhrJLt0&s=LLsGFzAZgTvcoyP_BY4A2BWWgGVV9e9ZAj16tjytCho&e=> . Of course, anybody can comment within the rules, but the fact that the disclosing company considers the IPR related to this I-D is public information.  

Thanks and Regards,

Dan

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi, 

As you may have seen an IPR disclosure that pertains to draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The announcement on the XRBLOCK mail list with  more information can be read at http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_mail-2Darchive_web_xrblock_current_msg01914.html&d=BQMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=JT0PNFMVTwcCOwfJFWR9rPXwWO3aXrz-8hcAnDMibu4&s=Y212mtSrLAN6yGGEigFnx-qwjZv_a0r5MpWucZswumg&e=> .  

 
Thanks and Regards,
 
Dan

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_xrblock&d=BQMD-g&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=QnXfHHtrCWuOTN6ltI1OQl5JKpT1vIEt5lm6yyUl-K0&s=ZDjj6FP8ei9wzWsi7L54u3cKecOhJxcBl4LP8yojwBQ&e=>

---

From: Alan Clark <[email-masked]>
Date: Thu, 10 Mar 2016 09:38:36 -0500

Hi Roni

The WG certainly has the option of not proceeding with a draft given 
that an IPR disclosure has been made against it - more so given that the 
disclosure was not made during any of the working sessions (according to 
IETF policy).

Have you personally reviewed the patent in question?  I suggest that it 
would be a good idea to do so as this is not a borderline case of "does 
this loss concealment algorithm implement anything in that loss 
concealment patent", there is a major disconnect between the subject 
matter of the draft and the patent.

Going back to my original proposal from some weeks ago - I requested 
that Huawei internally review their patent against the draft to verify 
that it does apply.  It appears to me to be a simple case of text 
matching "loss concealment" rather than an actual technical review of 
applicability. Rachel offered to ask the question and we have not had a 
reply.

Regards

Alan

On 3/10/16 9:11 AM, Roni Even wrote:
>
> Hi,
>
> I am not sure that the IETF WGs are the body that make a decision if 
> an IPR is valid or not. So I will argue that we can proceed with the 
> document. I think that the licensing terms are OK with the IETF 
> policies and there should be no reason to stop the publication
>
> Thanks
>
> Roni Even
>
> *Sent:* Wednesday, March 09, 2016 6:30 PM
> *To:* [email-masked]

---

From: "Roni Even" <[email-masked]>
Date: Fri, 11 Mar 2016 00:49:35 +0200

Hi Alan,

Inline

Roni

From: Alan Clark [mailto:[email-masked]] 
Sent: Thursday, March 10, 2016 4:39 PM
To: Roni Even; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Roni

The WG certainly has the option of not proceeding with a draft given that an IPR disclosure has been made against it - more so given that the disclosure was not made during any of the working sessions (according to IETF policy).

[Roni Even] Rachel already stated that she was not aware of the IPR and the disclosure in the meeting by a participant is only if you know of such IPR which was not the case here!!

Have you personally reviewed the patent in question?  I suggest that it would be a good idea to do so as this is not a borderline case of "does this loss concealment algorithm implement anything in that loss concealment patent", there is a major disconnect between the subject matter of the draft and the patent. 

[Roni Even] Again I am not the right person to judge the IPR and I believe that this is the case for most IETF participants. You can say that this is your personal view which may be right or wrong.

Going back to my original proposal from some weeks ago - I requested that Huawei internally review their patent against the draft to verify that it does apply.  It appears to me to be a simple case of text matching "loss concealment" rather than an actual technical review of applicability. Rachel offered to ask the question and we have not had a reply.

Regards

Alan

Hi,

Thanks

Roni Even

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options: 

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

 

Dear all,

BR,

Rachel

Hi all,

BR,

Rachel

Hi Dan

Regards

Alan

Hi Alan,

The statement that was posted a few weeks back explicitly refers to this I-D – see https://datatracker.ietf.org/ipr/2725/. Of course, anybody can comment within the rules, but the fact that the disclosing company considers the IPR related to this I-D is public information.  

Thanks and Regards,

Dan

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi, 

 
 
Thanks and Regards,
 
Dan

---

From: Alan Clark <[email-masked]>
Date: Thu, 10 Mar 2016 18:14:17 -0500

Hi Roni

So I guess if a company made an IPR disclosure that stated their 
electric toaster patent applied to the draft then you would express no 
opinion?  I'm not as willing to suppress my views on IPR issues - I've 
been dealing with patent claims related to standards since the 
mid-1980's and have always tried to honor both the word and spirit of 
the patent policy of the standards organizations I've been involved 
with.  I've also been involved in patent litigation and patent licensing 
discussions many times and know at first hand the complexity and cost 
involved.  As a WG we should have the interests of potential 
implementers at heart, both from a technical perspective and in 
minimizing legal obstacles to implementation.

If the WG wants to proceed with this then so be it - however in that 
case I will request that I am removed as an author as I cannot support 
this draft under those circumstances.

Best Regards

Alan

On 3/10/16 5:49 PM, Roni Even wrote:
>
> Hi Alan,
>
> Inline
>
> Roni
>
> *From:*Alan Clark [mailto:[email-masked]]
> *Sent:* Thursday, March 10, 2016 4:39 PM
> *To:* Roni Even; [email-masked]
> that an IPR disclosure has been made against it - more so given that 
> the disclosure was not made during any of the working sessions 
> (according to IETF policy).
>
> */[Roni Even] Rachel already stated that she was not aware of the IPR 
> and the disclosure in the meeting by a participant is only if you know 
> of such IPR which was not the case here!!/*
>
>
>
> Have you personally reviewed the patent in question?  I suggest that 
> it would be a good idea to do so as this is not a borderline case of 
> "does this loss concealment algorithm implement anything in that loss 
> */[Roni Even] Again I am not the right person to judge the IPR and I 
> believe that this is the case for most IETF participants. You can say 
> that this is your personal view which may be right or wrong./*
>
>
>
> applicability. Rachel offered to ask the question and we have not had 
> a reply.
>
> Regards
>
> Alan
>
>     I am not sure that the IETF WGs are the body that make a decision
>     if an IPR is valid or not. So I will argue that we can proceed
>     with the document. I think that the licensing terms are OK with
>     the IETF policies and there should be no reason to stop the
>     publication
>
>     Thanks
>
>     Roni Even
>
>     I reviewed (again) the patent cited by Huawei in this disclosure
>     and was not able to find any claims or descriptions related to
>     metrics and reporting - only details of a video loss concealment
>     algorithm, and the draft identifies only a reporting protocol and
>     not a video codec; I will caveat this by saying that I've reviewed
>     the English translation of the Chinese patent.
>
>     While IETF patent policy does not require companies to defend
>     their disclosures and does state that the IETF does not take a
>     position on whether a patent does or does not apply to a draft/RFC
>     I think it sets a bad precedent if a WG does not take objection to
>     disclosures that appear to be irrelevant. Saying "are you sure
>     about this?" to the disclosing company does not mean that the WG
>     is making any statement on infringement, but does IMHO represent a
>     reasonable degree of due diligence on behalf of the WG. If we
>     don't push back on disclosing companies when we feel that the
>     disclosure is based on an invalid understanding of the draft then
>     we are doing a disservice to implementers and making the IPR
>     situation more complex and messy than it already is.
>
>     My position is that we should not proceed with this document,
>     based on the information we have at this time.
>
>     Regards
>
>     Alan Clark
>
>
>         At this point in time, we ask the working group to express
>         their opinion about what to do with
>          draft-ietf-xrblock-rtcp-xr-video-lc.
>
>         We have two options:
>
>         Thanks, Rachel, for the information and for the efforts to
>         clarify the issue with the legal affairs department at your
>         company.
>
>         1.  Wait a few more weeks for an answer with further
>         information – I suggest no later than February 29, 2016
>
>         I have forwarded this IPR issue to our legal affairs
>         department responsible for this IPR disclosure. However, I
>         didn’t get any information for now. And I’m not sure if they
>         have any that could be shared within the mailing list or not
>         (We all know that IETF policy doesn’t require the company to
>         analysis and verify the applying, which is what the legal team
>         or even court  should do when meeting some legal problems).
>
>         Meanwhile, I can’t do any clarification for them in public
>         since we’re totally different departments. It will against our
>         company’s law. …So it’s not within my control. Hope WG could
>         understand that.
>
>         BR,
>
>         Rachel
>
>         This IPR is from another department so I’m not quite familiar
>         with it. I’ll invite the colleague who’s the IPR holder or
>         responsible for the IPR disclosure to clarify in the mailing
>         list. Hope we can find some way to solve this issue.
>
>         BR,
>
>         Rachel
>
>         patent they reference does in fact apply to the draft/RFC,
>         which means that companies could make disclosure statements
>         that don't actually apply to the referenced draft/RFC. In many
>         larger companies the IPR/legal team may be distant from the
>         engineering team and I've seen cases in which allegations of
>         infringement were made based on a text match rather than a
>         technical analysis. If, as WG members, we feel that a
>         disclosure may be inappropriate based on a technical
>         understanding of the draft/RFC and the patent then IMHO we
>         should be willing to politely point this out - if the
>         have to leave it to individual implementers to obtain their
>         own legal advice; my view is that as WG members and authors we
>         should try and keep the IPR situation as clear as possible.
>
>         software that analyzes voice/ audio/ video stream performance
>         and as part of this we model the performance of a wide range
>         of voice/ audio and video codecs. We have been contacted
>         numerous times by companies that have codec IPR and who see
>         that we analyze streams encoded with the G.xyz codec - we then
>         have to explain that we don't actually implement the codec,
>         only a parametric model.
>
>         So - my position is that we should ask Rachel, as an author
>         and a representative of the disclosing company, to request
>         that Huawei verify that their disclosure does, in their
>         opinion, apply.
>
>         Regards
>
>         Alan
>
>             https://datatracker.ietf.org/ipr/2725/. Of course, anybody
>             can comment within the rules, but the fact that the
>             disclosing company considers the IPR related to this I-D
>             is public information.
>
>             Behalf Of *Alan Clark
>             *Subject:* Re: [xrblock] after the IPR Disclosure related
>             to draft-ietf-xrblock-rtcp-xr-video-lc
>
>             I reviewed the patent that the disclosure related to -
>             this appears to describe a method for video coding that
>             uses loss concealment and not a method of reporting the
>             effectiveness of loss concealment. It is of course the
>             responsibility of the IPR holder to verify that their
>             patent does in fact apply to the Draft/RFC to which their
>             disclosure statement applies.  I suggest that the WG
>             chairs ask the participants from the disclosing company to
>             check to see if this disclosure is in fact relevant to the
>             draft.
>
>             Regards
>
>             Alan
>
>                 There were no responses to this query. Please express
>                 your opinions on the mail list whether we should
>                 continue as planned with the approval for this I-D.
>
>                 *Subject:* [xrblock] after the IPR Disclosure related
>                 to draft-ietf-xrblock-rtcp-xr-video-lc
>
>                 Hi,
>
>                 As you may have seen an IPR disclosure that pertains
>                 to draft-ietf-xrblock-rtcp-xr-video-lc was submitted
>                 recently. The announcement on the XRBLOCK mail list
>                 with  more information can be read at
>                 Thursday 12/17. Our AD decided to defer this I-D to
>                 the next telechat scheduled for January 7, 2016 and
>                 asked us to confirm on the mail list that the WG still
>                 plans to proceed with the I-D.
>
>                 participants in the WG want to proceed with the
>                 approval of this Internet-Draft? Please state your
>                 opinions on the WG mail list until Monday January 4,
>                 2016.
>
>                 Thanks and Regards,
>
>                 Dan
>

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Fri, 11 Mar 2016 01:56:01 +0000

I have to support Alan on this.

We should remember that the WG approved this document as a WG document without any IPR disclosure being present. The ideal time to sort this out should have been with an IPR disclosure prior to WG adoption, and not once that decision has been made.

Part of the IETF process on IPR is the seeking of clarification on IPR disclosures, and so far no response has been made. Given the delay in the IPR declaration was longer than so far has been allowed for a response, it is clear that the wheels have not all turned yet.

My belief is that we should wait until these issues are clear and questions answered, and then proceed with a new call as to whether the document is now appropriate to publish.

Regards

Keith Drage

From: xrblock [mailto:[email-masked]] On Behalf Of EXT Alan Clark
Sent: 10 March 2016 23:14
To: Roni Even; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Roni

So I guess if a company made an IPR disclosure that stated their electric toaster patent applied to the draft then you would express no opinion?  I'm not as willing to suppress my views on IPR issues - I've been dealing with patent claims related to standards since the mid-1980's and have always tried to honor both the word and spirit of the patent policy of the standards organizations I've been involved with.  I've also been involved in patent litigation and patent licensing discussions many times and know at first hand the complexity and cost involved.  As a WG we should have the interests of potential implementers at heart, both from a technical perspective and in minimizing legal obstacles to implementation.

If the WG wants to proceed with this then so be it - however in that case I will request that I am removed as an author as I cannot support this draft under those circumstances.

Best Regards

Alan

From: Alan Clark [mailto:[email-masked]]
Sent: Thursday, March 10, 2016 4:39 PM
To: Roni Even; [email-masked]<mailto:[email-masked]>
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Roni

Regards

Alan

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options:

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

xrblock mailing list

---

From: "Roni Even" <[email-masked]>
Date: Fri, 11 Mar 2016 07:38:45 +0200

Hi Keith

I am not sure what are the issues you support. In my view there is one issue.

The IPR was submitted late and that is why the WG chairs asked the question if to proceed or not and they are still waiting to get responses, the only comment so far was Alan’s.

Rachel stated that she was not aware of the IPR and the IPR submission was done without any knowledge from her part by other body in this large company. I hope they will find a way to prevent such cases but I assume that this can happen in big organtizations.

As far as I understand what Alan is saying is that he objects to publish the draft since in his view this IPR does not relate to the draft. I think that this issue would have also been stated if the IPR was submitted earlier in the process. 

I do not think from reading Alan’s post that he objects to IPR in general if they relate to the document.

I did not see any issues with the IPR policy.

Thanks

Roni

From: Drage, Keith (Nokia - GB) [mailto:[email-masked]] 
Sent: Friday, March 11, 2016 3:56 AM
To: EXT Alan Clark; Roni Even; [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Regards

Keith Drage

Hi Roni

Best Regards

Alan

Hi Alan,

Inline

Roni

Hi Roni

Regards

Alan

Hi,

Thanks

Roni Even

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options: 

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

 

Dear all,

BR,

Rachel

Hi all,

BR,

Rachel

Hi Dan

Regards

Alan

Hi Alan,

Thanks and Regards,

Dan

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi, 

 
 
Thanks and Regards,
 
Dan

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Fri, 11 Mar 2016 06:14:20 +0000

Hi Alan,

Inline please.

BR,
Rachel

From: Alan Clark [mailto:[email-masked]]
Sent: Thursday, March 10, 2016 10:08 PM
To: Huangyihong (Rachel); [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Rachel

According to your logic, as the MOS score reported using RFC3611 or RFC6035 would be affected by the choice of voice codec on a call then an implementer of these protocols should obtain a license to every voice codec patent, which is obviously not the case. The question is - does the implementer have to implement what is described in the patent and claimed in the patent claims, and in the case of concealment metrics the implementer does not need to implement a concealment algorithm in order to report the metrics.

[Rachel]: I may be wrong. But I learned that they have optional and mandatory in patent hearings. In this case, I assume it does not require a mandatory implementation for the patent, but still a patent claim could be made.
On the disclosure itself:-
(i) a reciprocity condition is not weak. Say that I have a fundamental patent related to SDN technology and would like to assert this against companies that infringe it then a reciprocity condition could affect my ability to enforce my patent.
[Rachel]: But it depends on the patent litigation to think if it affects or not, right?

(ii) it is unrealistic to say "it's no problem a judge could figure it out". Patent litigation is very expensive and by the time a case gets in front of a judge then the lawyers' bill can be in the US$ millions.

My view is that if we don't push back (at least at the WG level) on patent disclosures that are not relevant to the draft then we would encourage frivolous disclosure and adversely impact the adoption of IETF RFCs and Standards.

[Rachel]: I’m told that there’s no procedure for a patent disclosure to withdrawn.
The WG certainly does have the option of deciding not to proceed with a draft if there has been a patent disclosure against that draft, and I think that we should invoke that option.

Regards

Alan

BR,
Rachel

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options:

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

发 件人: xrblock [mailto:[email-masked]] 代 表 Alan Clark
发 送时间: 2016年1月7日 0:21
收件人: Romascanu, Dan (Dan); [email-masked]<mailto:[email-masked]>
主题: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

xrblock mailing list

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Fri, 11 Mar 2016 06:19:37 +0000

Hi Keith,

Please see inline.

BR,
Rachel

From: xrblock [mailto:[email-masked]] On Behalf Of Drage, Keith (Nokia - GB)
Sent: Friday, March 11, 2016 9:56 AM
To: EXT Alan Clark; Roni Even; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

[Rachel]: This is what I’m really sorry to cause so much inconvenience and trouble here. I was not aware of the IPR before. This IPR is not from our department and is from a different product line. I was not aware of it until it is declared.

[Rachel]: The things I got here is that they did find that some description in this draft related to the IPR. So they declaimed it. And they believe they’re following the IETF rule.

[Rachel]: I think the issue here is if we still want to publish this work with such a IPR disclosure.

Regards

Keith Drage

Hi Roni

Best Regards

Alan

Hi Roni

Regards

Alan

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options:

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

xrblock mailing list

---

From: Alan Clark <[email-masked]>
Date: Fri, 11 Mar 2016 06:13:03 -0500

Rachel

On your comment that there is no procedure for a disclosure to be 
withdrawn, RFC3979 Section 6.1.1 states that

"An IPR discloser is requested to withdraw a previous disclosure if a 
revised Contribution negates the previous IPR disclosure, or to amend a 
previous disclosure if a revised Contribution substantially alters the 
previous disclosure."

which means that the IETF patent policy does permit a disclosure to be 
withdrawn.

Also - the IPR disclosure database shows for disclosure 2633 (and 
others) - "This IPR disclosure was removed at the request of the submitter."

So there is a procedure for withdrawing a disclosure, you simply need to 
ask the IETF to do it.

Best Regards

Alan

On 3/11/16 1:14 AM, Huangyihong (Rachel) wrote:
> *Sent:* Thursday, March 10, 2016 10:08 PM
> *To:* Huangyihong (Rachel); [email-masked]
> RFC6035 would be affected by the choice of voice codec on a call then 
> an implementer of these protocols should obtain a license to every 
> voice codec patent, which is obviously not the case. The question is - 
> does the implementer have to implement what is described in the patent 
> and claimed in the patent claims, and in the case of concealment 
> metrics the implementer does not need to implement a concealment 
> algorithm in order to report the metrics.
>
> [Rachel]: I may be wrong. But I learned that they have optional and 
> mandatory in patent hearings. In this case, I assume it does not 
> require a mandatory implementation for the patent, but still a patent 
> claim could be made.
>
> companies that infringe it then a reciprocity condition could affect 
> my ability to enforce my patent.
>
> out". Patent litigation is very expensive and by the time a case gets 
> in front of a judge then the lawyers' bill can be in the US$ millions.
>
>
> encourage frivolous disclosure and adversely impact the adoption of 
> IETF RFCs and Standards.
>
> The WG certainly does have the option of deciding not to proceed with 
> a draft if there has been a patent disclosure against that draft, and 
> I think that we should invoke that option.
>
>
> Regards
>
> Alan
>
>     values contained in the protocol. And I think my colleagues make
>     the IPR disclosure based on the following IETF IPR policy RFC3979
>
>     “
>
>     Affiliates is essential on a technical ground to the standard
>     adopted by IETF, Huawei on behalf of itself and its Affiliates
>     hereby covenant not to assert any such claim against any party for
>     making, using, selling, offering for sale or importing a product
>     that implements the corresponding part of the standard. However,
>     nothing herein shall preclude Huawei or any of its Affiliates from
>     asserting the above mentioned patent claims against any party that
>     asserts directly or indirectly a patent it owns or controls
>     against Huawei and/or its Affiliates, or against any products of
>     Huawei or its Affiliates either alone or in combination with other
>     products.
>     workable when companies want to use some patents against Huawei,
>     plus it will also depend on if the judge decides the disclosure is
>     workable or not. In such a case,  I don’t think implementers need
>     to worry about this.
>
>             Of course, anybody can comment within the rules, but the
>             fact that the disclosing company considers the IPR related
>             to this I-D is public information.
>

---

From: Alan Clark <[email-masked]>
Date: Fri, 11 Mar 2016 06:20:25 -0500

Hi Rachel

On your comments related to patent hearings and litigation - this is not 
the amicable, collegiate process that you seem to think. From personal 
experience (including numerous court appearances in patent cases, many 
depositions (including one mammoth 8 hour session), and many behind the 
scenes negotiations) I can assure you that patent litigation is a 
hostile and expensive process and it is much better to avoid placing 
implementers in this situation.  The only good aspect to patent 
litigation is the job security it provides to attorneys :-)

Best Regards

Alan

---

From: Alissa Cooper <[email-masked]>
Date: Sat, 12 Mar 2016 22:37:10 +0100

Just confirming — there is indeed a process to withdraw a disclosure. We just used it in one of my other WGs.

Alissa

> On Mar 11, 2016, at 12:13 PM, Alan Clark <[email-masked]> wrote:
> 
> Rachel
> 
> On your comment that there is no procedure for a disclosure to be withdrawn, RFC3979 Section 6.1.1 states that 
> 
> "An IPR discloser is requested to withdraw a previous disclosure if a revised Contribution negates the previous IPR disclosure, or to amend a previous disclosure if a revised Contribution substantially alters the previous disclosure."
> 
> which means that the IETF patent policy does permit a disclosure to be withdrawn.
> 
> Also - the IPR disclosure database shows for disclosure 2633 (and others) - "This IPR disclosure was removed at the request of the submitter."
> 
> So there is a procedure for withdrawing a disclosure, you simply need to ask the IETF to do it.
> 
> Best Regards
> 
> Alan
> 
>> From: Alan Clark [mailto:[email-masked] <mailto:[email-masked]>] 
>> To: Huangyihong (Rachel); [email-masked] <mailto:[email-masked]>
>> From: xrblock [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Alan Clark
>> To: [email-masked] <mailto:[email-masked]>
>> From: xrblock [ <mailto:[email-masked]>mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)
>> To: [email-masked] <mailto:[email-masked]>
>> From: xrblock [ <mailto:[email-masked]>mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)
>> To: Huangyihong (Rachel); Alan Clark; [email-masked] <mailto:[email-masked]>
>> From: xrblock [ <mailto:[email-masked]>mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)
>> To: Huangyihong (Rachel); Alan Clark; [email-masked] <mailto:[email-masked]>
>> From: Huangyihong (Rachel) [ <mailto:[email-masked]>mailto:[email-masked] <mailto:[email-masked]>] 
>> To: Huangyihong (Rachel); Alan Clark; Romascanu, Dan (Dan);  <mailto:[email-masked]>[email-masked] <mailto:[email-masked]>
>> From: xrblock [ <mailto:[email-masked]>mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Huangyihong (Rachel)
>> To: Alan Clark; Romascanu, Dan (Dan); [email-masked] <mailto:[email-masked]>
>> 发 件人: xrblock [mailto:[email-masked] <mailto:[email-masked]>] 代 表 Alan Clark
>> 发 送时间: 2016年1月7日 0:21
>> 收件人: Romascanu, Dan (Dan); [email-masked] <mailto:[email-masked]>
>> The statement that was posted a few weeks back explicitly refers to this I-D – see https://datatracker.ietf.org/ipr/2725/ <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_2725_&d=BQMFbw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=kiLRy3Dy18TaCdFTLegz5r3LuHhd2B0eMVVxbhrJLt0&s=LLsGFzAZgTvcoyP_BY4A2BWWgGVV9e9ZAj16tjytCho&e=>. Of course, anybody can comment within the rules, but the fact that the disclosing company considers the IPR related to this I-D is public information.  
>>  
>> From: xrblock [ <mailto:[email-masked]>mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Alan Clark
>> To:  <mailto:[email-masked]>[email-masked] <mailto:[email-masked]>
>> From: xrblock [ <mailto:[email-masked]>mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)
>> To:  <mailto:[email-masked]>[email-masked] <mailto:[email-masked]>
>> As you may have seen an IPR disclosure that pertains to draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The announcement on the XRBLOCK mail list with  more information can be read at http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_mail-2Darchive_web_xrblock_current_msg01914.html&d=BQMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=JT0PNFMVTwcCOwfJFWR9rPXwWO3aXrz-8hcAnDMibu4&s=Y212mtSrLAN6yGGEigFnx-qwjZv_a0r5MpWucZswumg&e=>.  
>>  
>> https://www.ietf.org/mailman/listinfo/xrblock <https://www.ietf.org/mailman/listinfo/xrblock>
>>  
>>  
>

---

From: "Roni Even" <[email-masked]>
Date: Sun, 13 Mar 2016 00:26:14 +0200

Hi Alissa,

I think that the discussion that is going on is on the validity of the IPR, I am not sure that the IETF mailing list is the place to discuss IPR validity and I do not think that the IETF can call consensus on IPR validity which is the topic that is being discussed

Roni

From: xrblock [mailto:[email-masked]] On Behalf Of Alissa Cooper
Sent: Saturday, March 12, 2016 11:37 PM
To: Alan Clark
Cc: [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Alissa

Rachel

Best Regards

Alan

Hi Alan,

Inline please.

BR,

Rachel

From: Alan Clark [ <mailto:[email-masked]> mailto:[email-masked]] 
Sent: Thursday, March 10, 2016 10:08 PM
To: Huangyihong (Rachel);  <mailto:[email-masked]> [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Rachel

Regards

Alan

Hi,

“

”

”

BR,

Rachel

From: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Alan Clark
Sent: Thursday, March 10, 2016 12:30 AM
To:  <mailto:[email-masked]> [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

From: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Tuesday, March 08, 2016 2:27 PM
To:  <mailto:[email-masked]> [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,

We have two options:

Thanks and Regards,

Dan

From: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Sunday, February 07, 2016 11:29 AM
To: Huangyihong (Rachel); Alan Clark;  <mailto:[email-masked]> [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,

Thanks and Regards,

Dan

From: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Friday, January 29, 2016 8:34 AM
To: Huangyihong (Rachel); Alan Clark;  <mailto:[email-masked]> [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Thanks and Regards,

Dan

 

From: Huangyihong (Rachel) [ <mailto:[email-masked]> mailto:[email-masked]] 
Sent: Friday, January 29, 2016 5:42 AM
To: Huangyihong (Rachel); Alan Clark; Romascanu, Dan (Dan);  <mailto:[email-masked]> [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Dear all,

BR,

Rachel

From: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Huangyihong (Rachel)
Sent: Friday, January 08, 2016 11:26 AM
To: Alan Clark; Romascanu, Dan (Dan);  <mailto:[email-masked]> [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi all,

BR,

Rachel

发 件人: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] 代 表 Alan Clark
发 送时间: 2016年1月7日 0:21
收件人: Romascanu, Dan (Dan);  <mailto:[email-masked]> [email-masked]
主题: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Dan

Regards

Alan

Hi Alan,

The statement that was posted a few weeks back explicitly refers to this I-D – see  <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_2725_&d=BQMFbw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=kiLRy3Dy18TaCdFTLegz5r3LuHhd2B0eMVVxbhrJLt0&s=LLsGFzAZgTvcoyP_BY4A2BWWgGVV9e9ZAj16tjytCho&e=> https://datatracker.ietf.org/ipr/2725/. Of course, anybody can comment within the rules, but the fact that the disclosing company considers the IPR related to this I-D is public information.  

Thanks and Regards,

Dan

From: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Alan Clark
Sent: Tuesday, January 05, 2016 10:06 PM
To:  <mailto:[email-masked]> [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

From: xrblock [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Wednesday, December 16, 2015 12:55 PM
To:  <mailto:[email-masked]> [email-masked]
Subject: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi, 

As you may have seen an IPR disclosure that pertains to draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The announcement on the XRBLOCK mail list with  more information can be read at  <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_mail-2Darchive_web_xrblock_current_msg01914.html&d=BQMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=JT0PNFMVTwcCOwfJFWR9rPXwWO3aXrz-8hcAnDMibu4&s=Y212mtSrLAN6yGGEigFnx-qwjZv_a0r5MpWucZswumg&e=> http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html.  

 
Thanks and Regards,
 
Dan

_______________________________________________
xrblock mailing list
 <mailto:[email-masked]> [email-masked]
 <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_xrblock&d=BQMD-g&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=QnXfHHtrCWuOTN6ltI1OQl5JKpT1vIEt5lm6yyUl-K0&s=ZDjj6FP8ei9wzWsi7L54u3cKecOhJxcBl4LP8yojwBQ&e=> https://www.ietf.org/mailman/listinfo/xrblock

_______________________________________________
xrblock mailing list
 <mailto:[email-masked]> [email-masked]
 <https://www.ietf.org/mailman/listinfo/xrblock> https://www.ietf.org/mailman/listinfo/xrblock

---

From: Alissa Cooper <[email-masked]>
Date: Sat, 12 Mar 2016 23:59:56 +0100

Hi Roni,

The consensus call issued by Dan was not about IPR validity. It was about whether the WG wants to proceed with the document.

I think it’s reasonable, when responding to the question he asked, for people to give their reasons for responding one way or the other, and those may include statements about belief in the validity or applicability of the patent at issue. But I agree with you that debating those opinions on the list is not productive.

There is more time before the consensus call ends, so it would be useful to hear more opinions IMO if people have them.

Alissa

> On Mar 12, 2016, at 11:26 PM, Roni Even <[email-masked]> wrote:
> 
> Hi Alissa,
>> On Mar 11, 2016, at 12:13 PM, Alan Clark <[email-masked] <mailto:[email-masked]>> wrote:
>>  
>> Rachel
>> 
>>>>> From: xrblock [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)
>>>>> From: xrblock [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)
>>>>> From: xrblock [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)
>>>>> From: Huangyihong (Rachel) [mailto:[email-masked] <mailto:[email-masked]>] 
>>>>> To: Huangyihong (Rachel); Alan Clark; Romascanu, Dan (Dan); [email-masked] <mailto:[email-masked]>
>>>>> From: xrblock [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Huangyihong (Rachel)
>>>>>>> From: xrblock [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Romascanu, Dan (Dan)

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Tue, 15 Mar 2016 07:26:56 +0000

Hi,

Just to clarify that “We did not receive any answer to the request for further information”, the party that submitted the IPR responded by saying that the IPR statement was made in order to comply with the IETF IPR disclosure requirements, which I already copied in the previous mail.

BR,
Rachel

From: xrblock [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Tuesday, March 08, 2016 8:27 PM
To: [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,

We have two options:

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

---

From: Alan Clark <[email-masked]>
Date: Tue, 15 Mar 2016 13:37:37 -0400

Hi Rachel

For clarification - I suggested in January that the disclosing party be 
asked to verify that the IPR did (in their opinion) apply to the draft, 
not whether they had complied with the process. So really a question 
related to substance rather than form.

Best Regards

Alan

On 3/15/16 3:26 AM, Huangyihong (Rachel) wrote:
>
> Hi,
>
> Just to clarify that “We did not receive any answer to the request for 
> further information”, the party that submitted the IPR responded by 
> saying that the IPR statement was made in order to comply with the 
> IETF IPR disclosure requirements, which I already copied in the 
> previous mail.
>
> BR,
>
> Rachel
>
> *Sent:* Tuesday, March 08, 2016 8:27 PM
> *To:* [email-masked]
> *收件人:*Romascanu, Dan (Dan); [email-masked] <mailto:[email-masked]>

---

From: Bernard Aboba <[email-masked]>
Date: Tue, 15 Mar 2016 12:51:18 -0700

I support Keith and Alan on this.

On Thu, Mar 10, 2016 at 5:56 PM, Drage, Keith (Nokia - GB) <
[email-masked]> wrote:

> We should remember that the WG approved this document as a WG document
> without any IPR disclosure being present. The ideal time to sort this out
> should have been with an IPR disclosure prior to WG adoption, and not once
> that decision has been made.
>
>
>
> Part of the IETF process on IPR is the seeking of clarification on IPR
> disclosures, and so far no response has been made. Given the delay in the
> IPR declaration was longer than so far has been allowed for a response, it
> is clear that the wheels have not all turned yet.
>
>
>
> My belief is that we should wait until these issues are clear and
> questions answered, and then proceed with a new call as to whether the
> document is now appropriate to publish.
>
>
>
> Regards
>
>
>
> Keith Drage
>
>
>
> *From:* xrblock [mailto:[email-masked]] *On Behalf Of *EXT Alan
> Clark
> *Sent:* 10 March 2016 23:14
>
> So I guess if a company made an IPR disclosure that stated their electric
> toaster patent applied to the draft then you would express no opinion?  I'm
> not as willing to suppress my views on IPR issues - I've been dealing with
> patent claims related to standards since the mid-1980's and have always
> tried to honor both the word and spirit of the patent policy of the
> standards organizations I've been involved with.  I've also been involved
> in patent litigation and patent licensing discussions many times and know
> at first hand the complexity and cost involved.  As a WG we should have the
> interests of potential implementers at heart, both from a technical
> perspective and in minimizing legal obstacles to implementation.
>
> If the WG wants to proceed with this then so be it - however in that case
> I will request that I am removed as an author as I cannot support this
> draft under those circumstances.
>
> Best Regards
>
> Alan
>
> *From:* Alan Clark [mailto:[email-masked]
> <[email-masked]>]
> The WG certainly has the option of not proceeding with a draft given that
> an IPR disclosure has been made against it - more so given that the
> *[Roni Even] Rachel already stated that she was not aware of the IPR and
> the disclosure in the meeting by a participant is only if you know of such
> IPR which was not the case here!!*
>
>
>
> this loss concealment algorithm implement anything in that loss concealment
> patent", there is a major disconnect between the subject matter of the
> draft and the patent.
>
> *[Roni Even] Again I am not the right person to judge the IPR and I
> believe that this is the case for most IETF participants. You can say that
> this is your personal view which may be right or wrong.*
>
>
>
> Going back to my original proposal from some weeks ago - I requested that
> Huawei internally review their patent against the draft to verify that it
> does apply.  It appears to me to be a simple case of text matching "loss
> concealment" rather than an actual technical review of applicability.
> Rachel offered to ask the question and we have not had a reply.
>
> Regards
>
> Alan
>
> I am not sure that the IETF WGs are the body that make a decision if an
> IPR is valid or not. So I will argue that we can proceed with the document.
> I think that the licensing terms are OK with the IETF policies and there
> should be no reason to stop the publication
>
> Thanks
>
> Roni Even
>
>
>
> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Alan Clark
> bad precedent if a WG does not take objection to disclosures that appear to
> be irrelevant. Saying "are you sure about this?" to the disclosing company
> does not mean that the WG is making any statement on infringement, but does
> IMHO represent a reasonable degree of due diligence on behalf of the WG. If
> we don't push back on disclosing companies when we feel that the disclosure
> is based on an invalid understanding of the draft then we are doing a
> disservice to implementers and making the IPR situation more complex and
> messy than it already is.
>
> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)
> At this point in time, we ask the working group to express their opinion
> about what to do with  draft-ietf-xrblock-rtcp-xr-video-lc.
>
>
>
> We have two options:
>
>
>
> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)
> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)
> *From:* Huangyihong (Rachel) [mailto:[email-masked]
> <[email-masked]>]
> responsible for this IPR disclosure. However, I didn’t get any information
> for now. And I’m not sure if they have any that could be shared within the
> mailing list or not (We all know that IETF policy doesn’t require the
> company to analysis and verify the applying, which is what the legal team
> totally different departments. It will against our company’s law. …So it’s
> not within my control. Hope WG could understand that.
>
>
>
> BR,
>
> Rachel
>
>
>
> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Huangyihong (Rachel)
> Sorry for the late response. I’m in a business trip these two weeks with
> sporadic email access. So I may not respond timely.
>
> I’ll invite the colleague who’s the IPR holder or responsible for the IPR
> disclosure to clarify in the mailing list. Hope we can find some way to
> solve this issue.
>
>
>
> BR,
>
> Rachel
>
>
>
> *发件人**:* xrblock [mailto:[email-masked]
> <[email-masked]>] *代表 *Alan Clark
> *发送时间:* 2016年1月7日 0:21
> *收件人:* Romascanu, Dan (Dan); [email-masked]
> Within the IETF patent policy there is no requirement that I'm aware of
> that requires a disclosing company to prove that the patent they reference
> does in fact apply to the draft/RFC, which means that companies could make
> disclosure statements that don't actually apply to the referenced
> draft/RFC. In many larger companies the IPR/legal team may be distant from
> the engineering team and I've seen cases in which allegations of
> infringement were made based on a text match rather than a technical
> analysis. If, as WG members, we feel that a disclosure may be inappropriate
> based on a technical understanding of the draft/RFC and the patent then
> IMHO we should be willing to politely point this out - if the disclosing
> company wants to keep the disclosure anyway then we have to leave it to
> individual implementers to obtain their own legal advice; my view is that
> as WG members and authors we should try and keep the IPR situation as clear
> as possible.
>
> that analyzes voice/ audio/ video stream performance and as part of this we
> model the performance of a wide range of voice/ audio and video codecs. We
> have been contacted numerous times by companies that have codec IPR and who
> see that we analyze streams encoded with the G.xyz codec - we then have to
> explain that we don't actually implement the codec, only a parametric model.
>
> representative of the disclosing company, to request that Huawei verify
> that their disclosure does, in their opinion, apply.
>
> Regards
>
> Alan
>
>
> The statement that was posted a few weeks back explicitly refers to this
> I-D – see https://datatracker.ietf.org/ipr/2725/. Of course, anybody can
> comment within the rules, but the fact that the disclosing company
> considers the IPR related to this I-D is public information.
>
>
>
> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Alan Clark
> I reviewed the patent that the disclosure related to - this appears to
> describe a method for video coding that uses loss concealment and not a
> method of reporting the effectiveness of loss concealment. It is of course
> the responsibility of the IPR holder to verify that their patent does in
> fact apply to the Draft/RFC to which their disclosure statement applies.  I
> suggest that the WG chairs ask the participants from the disclosing company
> to check to see if this disclosure is in fact relevant to the draft.
>
> Regards
>
> Alan
>
> There were no responses to this query. Please express your opinions on the
> mail list whether we should continue as planned with the approval for this
> I-D.
>
>
>
> *From:* xrblock [mailto:[email-masked]
> <[email-masked]>] *On Behalf Of *Romascanu, Dan (Dan)

---

From: "Roni Even" <[email-masked]>
Date: Tue, 15 Mar 2016 23:16:07 +0200

Hi Alan,

I think that this is what the response says. According to IETF if you have IPR that relates to a document you must declare it. So this is what I understand from Rachel email.

Roni

From: xrblock [mailto:[email-masked]] On Behalf Of Alan Clark
Sent: Tuesday, March 15, 2016 7:38 PM
To: Huangyihong (Rachel); Romascanu, Dan (Dan); [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Rachel

For clarification - I suggested in January that the disclosing party be asked to verify that the IPR did (in their opinion) apply to the draft, not whether they had complied with the process. So really a question related to substance rather than form.

Best Regards

Alan

Hi,

BR,

Rachel

Hi,

We have two options: 

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

 

Dear all,

BR,

Rachel

Hi all,

BR,

Rachel

Hi Dan

Regards

Alan

Hi Alan,

Thanks and Regards,

Dan

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi, 

 
 
Thanks and Regards,
 
Dan

---

From: Alan Clark <[email-masked]>
Date: Tue, 15 Mar 2016 17:36:02 -0400

Hi Roni

I think the problem is with the "if you have IPR that relates to" part. 
Having read the patent in question I had difficulty seeing anything at 
all related to the subject matter of the draft.

It appears from my review of the patent that the disclosure may have 
resulted from a text match of "loss concealment" and not from a claim 
within the patent that related to metrics reporting. If it was my 
company's patent then we would not have made a disclosure, I'm simply 
suggesting that Huawei do a technical review to verify that the 
disclosure is based on the substance of the patent and the draft.

Best Regards

Alan

On 3/15/16 5:16 PM, Roni Even wrote:
>
> Hi Alan,
>
> I think that this is what the response says. According to IETF if you 
> have IPR that relates to a document you must declare it. So this is 
> what I understand from Rachel email.
>
> Roni
>
> *Sent:* Tuesday, March 15, 2016 7:38 PM
> *To:* Huangyihong (Rachel); Romascanu, Dan (Dan); [email-masked]
> For clarification - I suggested in January that the disclosing party 
> be asked to verify that the IPR did (in their opinion) apply to the 
> draft, not whether they had complied with the process. So really a 
> question related to substance rather than form.
>
> Best Regards
>
> Alan
>
>     Just to clarify that “We did not receive any answer to the request
>     for further information”, the party that submitted the IPR
>     responded by saying that the IPR statement was made in order to
>     comply with the IETF IPR disclosure requirements, which I already
>     copied in the previous mail.
>
>     BR,
>
>     Rachel
>
>     *发 送时间:* 2016年1月7日 0:21

---

From: "Roni Even" <[email-masked]>
Date: Tue, 15 Mar 2016 23:39:20 +0200

Hi Alan,

I read Rachel email and I understand from it that the party that  submitted the IPR did it because he believes it relates to the document and according with RFC3979 was required to declare it.

Roni 

From: Alan Clark [mailto:[email-masked]] 
Sent: Tuesday, March 15, 2016 11:36 PM
To: Roni Even; 'Huangyihong (Rachel)'; 'Romascanu, Dan (Dan)'; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Roni

I think the problem is with the "if you have IPR that relates to" part. Having read the patent in question I had difficulty seeing anything at all related to the subject matter of the draft.  

It appears from my review of the patent that the disclosure may have resulted from a text match of "loss concealment" and not from a claim within the patent that related to metrics reporting. If it was my company's patent then we would not have made a disclosure, I'm simply suggesting that Huawei do a technical review to verify that the disclosure is based on the substance of the patent and the draft. 

Best Regards

Alan

Hi Alan,

Roni

Hi Rachel

Best Regards

Alan

Hi,

BR,

Rachel

Hi,

We have two options: 

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

 

Dear all,

BR,

Rachel

Hi all,

BR,

Rachel

Hi Dan

Regards

Alan

Hi Alan,

Thanks and Regards,

Dan

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi, 

 
 
Thanks and Regards,
 
Dan

---

From: "Roni Even" <[email-masked]>
Date: Tue, 15 Mar 2016 23:47:51 +0200

Hi,

My understanding so far is that the IPR disclosure was done by a party who do not attend the IETF meetings and do not follow the work closely but randomly.  So IPR in this case may appear a bit late, and this does not contradict RFC3979.

BTW: according to RFC3979 IPR declaration can appear even for published RFCs which is not the case here.

This information about the reason for delay was already sent to the list.

As for clarification on the IPR, I think that it was also answered saying that it was submitted to comply with the IETF IPR policy RFC3979 and not by the contributors who were not aware of the IPR according to their claims. 

The WG chairs brought the question back to the WG about accepting the document with this IPR, so it is now back with the WG. 

I think that the issue that Alan had about the relation of the Patent to the document got a response on the list, I do not think that we should start a discussion about the content of the patent on the mailing list. We can see that Alan believes that the patent is not related (in which case there is no problem) and the party that submitted the IPR, who is not on the mailing list, thinks it relates.

 

So I am not sure what open questions are still there about the IPR itself, do you want to discuss the IPR validity, propose changes to the document?

Roni

From: Bernard Aboba [mailto:[email-masked]] 
Sent: Tuesday, March 15, 2016 9:51 PM
To: Drage, Keith (Nokia - GB)
Cc: EXT Alan Clark; Roni Even; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

On Thu, Mar 10, 2016 at 5:56 PM, Drage, Keith (Nokia - GB) <[email-masked]> wrote:

Regards

Keith Drage

Hi Roni

Best Regards

Alan

Hi Alan,

Inline

Roni

Hi Roni

Regards

Alan

Hi,

Thanks

Roni Even

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options: 

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

 

Dear all,

BR,

Rachel

Hi all,

BR,

Rachel

Hi Dan

Regards

Alan

Hi Alan,

Thanks and Regards,

Dan

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi, 

 
 
Thanks and Regards,
 
Dan

---

From: Alan Clark <[email-masked]>
Date: Tue, 15 Mar 2016 19:14:15 -0400

Hi Roni

In that case I propose that the WG does not continue with this draft.

Best Regards

Alan

On 3/15/16 5:47 PM, Roni Even wrote:
>
> Hi,
>
> My understanding so far is that the IPR disclosure was done by a party 
> who do not attend the IETF meetings and do not follow the work closely 
> but randomly.  So IPR in this case may appear a bit late, and this 
> does not contradict RFC3979.
>
> BTW: according to RFC3979 IPR declaration can appear even for 
> published RFCs which is not the case here.
>
> As for clarification on the IPR, I think that it was also answered 
> saying that it was submitted to comply with the IETF IPR policy 
> RFC3979 and not by the contributors who were not aware of the IPR 
> according to their claims.
>
> The WG chairs brought the question back to the WG about accepting the 
> document with this IPR, so it is now back with the WG.
>
> I think that the issue that Alan had about the relation of the Patent 
> to the document got a response on the list, I do not think that we 
> should start a discussion about the content of the patent on the 
> mailing list. We can see that Alan believes that the patent is not 
> related (in which case there is no problem) and the party that 
> submitted the IPR, who is not on the mailing list, thinks it relates.
>
> So I am not sure what open questions are still there about the IPR 
> itself, do you want to discuss the IPR validity, propose changes to 
> the document?
>
> Roni
>
> *From:*Bernard Aboba [mailto:[email-masked]]
> *Sent:* Tuesday, March 15, 2016 9:51 PM
> *To:* Drage, Keith (Nokia - GB)
> *Cc:* EXT Alan Clark; Roni Even; [email-masked]
> On Thu, Mar 10, 2016 at 5:56 PM, Drage, Keith (Nokia - GB) 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
> without any IPR disclosure being present. The ideal time to sort this 
> out should have been with an IPR disclosure prior to WG adoption, and 
> not once that decision has been made.
>
> disclosures, and so far no response has been made. Given the delay in 
> the IPR declaration was longer than so far has been allowed for a 
> response, it is clear that the wheels have not all turned yet.
>
> *From:*xrblock [mailto:[email-masked] 
> <mailto:[email-masked]>] *On Behalf Of *EXT Alan Clark
> *To:* Roni Even; [email-masked] <mailto:[email-masked]>
> with.  I've also been involved in patent litigation and patent 
> licensing discussions many times and know at first hand the complexity 
> and cost involved.  As a WG we should have the interests of potential 
>     *To:* Roni Even; [email-masked] <mailto:[email-masked]>
>     The WG certainly has the option of not proceeding with a draft
>     given that an IPR disclosure has been made against it - more so
>     given that the disclosure was not made during any of the working
>     sessions (according to IETF policy).
>
>     */[Roni Even] Rachel already stated that she was not aware of the
>     IPR and the disclosure in the meeting by a participant is only if
>     you know of such IPR which was not the case here!!/*
>
>
>
>     Have you personally reviewed the patent in question?  I suggest
>     that it would be a good idea to do so as this is not a borderline
>     case of "does this loss concealment algorithm implement anything
>     in that loss concealment patent", there is a major disconnect
>     between the subject matter of the draft and the patent.
>
>     */[Roni Even] Again I am not the right person to judge the IPR and
>     I believe that this is the case for most IETF participants. You
>     can say that this is your personal view which may be right or wrong./*
>
>
>
>     Going back to my original proposal from some weeks ago - I
>     requested that Huawei internally review their patent against the
>     draft to verify that it does apply.  It appears to me to be a
>     simple case of text matching "loss concealment" rather than an
>     actual technical review of applicability. Rachel offered to ask
>     the question and we have not had a reply.
>
>     Regards
>
>     Alan
>
>         I am not sure that the IETF WGs are the body that make a
>         decision if an IPR is valid or not. So I will argue that we
>         can proceed with the document. I think that the licensing
>         terms are OK with the IETF policies and there should be no
>         reason to stop the publication
>
>         Thanks
>
>         Roni Even
>
>         I reviewed (again) the patent cited by Huawei in this
>         disclosure and was not able to find any claims or descriptions
>         related to metrics and reporting - only details of a video
>         loss concealment algorithm, and the draft identifies only a
>         reporting protocol and not a video codec; I will caveat this
>         by saying that I've reviewed the English translation of the
>         Chinese patent.
>
>         position on whether a patent does or does not apply to a
>         draft/RFC I think it sets a bad precedent if a WG does not
>         take objection to disclosures that appear to be irrelevant.
>         Saying "are you sure about this?" to the disclosing company
>         does not mean that the WG is making any statement on
>         infringement, but does IMHO represent a reasonable degree of
>         due diligence on behalf of the WG. If we don't push back on
>         disclosing companies when we feel that the disclosure is based
>         on an invalid understanding of the draft then we are doing a
>         disservice to implementers and making the IPR situation more
>         complex and messy than it already is.
>
>             clarify the issue with the legal affairs department at
>             your company.
>
>             *To:* Huangyihong (Rachel); Alan Clark; Romascanu, Dan
>             (Dan); [email-masked] <mailto:[email-masked]>
>             *Subject:* RE: [xrblock] after the IPR Disclosure related
>             didn’t get any information for now. And I’m not sure if
>             they have any that could be shared within the mailing list
>             or not (We all know that IETF policy doesn’t require the
>             company to analysis and verify the applying, which is what
>             the legal team or even court  should do when meeting some
>             legal problems).
>
>             since we’re totally different departments. It will against
>             our company’s law. …So it’s not within my control. Hope WG
>             could understand that.
>
>             BR,
>
>             Rachel
>
>             Behalf Of *Huangyihong (Rachel)
>             Sorry for the late response. I’m in a business trip these
>             two weeks with sporadic email access. So I may not respond
>             timely.
>
>             This IPR is from another department so I’m not quite
>             familiar with it. I’ll invite the colleague who’s the IPR
>             holder or responsible for the IPR disclosure to clarify in
>             the mailing list. Hope we can find some way to solve this
>             issue.
>
>             BR,
>
>             Rachel
>
>             *发送时间**:*2016年1月7日0:21
>             *收件人**:*Romascanu, Dan (Dan); [email-masked]
>             *主题**:*Re: [xrblock] after the IPR Disclosure related to
>             Within the IETF patent policy there is no requirement that
>             I'm aware of that requires a disclosing company to prove
>             that the patent they reference does in fact apply to the
>             draft/RFC, which means that companies could make
>             disclosure statements that don't actually apply to the
>             referenced draft/RFC. In many larger companies the
>             IPR/legal team may be distant from the engineering team
>             and I've seen cases in which allegations of infringement
>             were made based on a text match rather than a technical
>             analysis. If, as WG members, we feel that a disclosure may
>             be inappropriate based on a technical understanding of the
>             draft/RFC and the patent then IMHO we should be willing to
>             politely point this out - if the disclosing company wants
>             to keep the disclosure anyway then we have to leave it to
>             individual implementers to obtain their own legal advice;
>             my view is that as WG members and authors we should try
>             and keep the IPR situation as clear as possible.
>
>             I've encountered exactly this situation - my company
>             develops software that analyzes voice/ audio/ video stream
>             performance and as part of this we model the performance
>             of a wide range of voice/ audio and video codecs. We have
>             been contacted numerous times by companies that have codec
>             IPR and who see that we analyze streams encoded with the
>             G.xyz codec - we then have to explain that we don't
>             actually implement the codec, only a parametric model.
>
>             So - my position is that we should ask Rachel, as an
>             author and a representative of the disclosing company, to
>             request that Huawei verify that their disclosure does, in
>             their opinion, apply.
>
>             Regards
>
>             Alan
>
>                 The statement that was posted a few weeks back
>                 explicitly refers to this I-D – see
>                 https://datatracker.ietf.org/ipr/2725/. Of course,
>                 anybody can comment within the rules, but the fact
>                 that the disclosing company considers the IPR related
>                 What is your position as WG participant and as
>                 co-author of the document? What should the WG do?
>
>                 Thanks and Regards,
>
>                 Dan
>
>                 *Subject:* Re: [xrblock] after the IPR Disclosure
>                 related to draft-ietf-xrblock-rtcp-xr-video-lc
>
>                 this appears to describe a method for video coding
>                 that uses loss concealment and not a method of
>                 reporting the effectiveness of loss concealment. It is
>                 of course the responsibility of the IPR holder to
>                 verify that their patent does in fact apply to the
>                 Draft/RFC to which their disclosure statement
>                 applies.  I suggest that the WG chairs ask the
>                 participants from the disclosing company to check to
>                 see if this disclosure is in fact relevant to the draft.
>
>                 Regards
>
>                 Alan
>
>                     There were no responses to this query. Please
>                     express your opinions on the mail list whether we
>                     should continue as planned with the approval for
>                     this I-D.
>
>                     *From:*xrblock [mailto:[email-masked]]
>                     *On Behalf Of *Romascanu, Dan (Dan)
>                     *Subject:* [xrblock] after the IPR Disclosure
>                     related to draft-ietf-xrblock-rtcp-xr-video-lc
>
>                     Hi,
>
>                     As you may have seen an IPR disclosure that pertains to draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The announcement on the XRBLOCK mail list with  more information can be read athttp://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Wed, 16 Mar 2016 01:01:17 +0000

The IPR declaration is not straight FRAND, because it includes a reciprocity statement.

That means that Huawei could in the future claim that I abrogated all my own patent rights against Huawei because I implemented this draft.

To quote:

“However, nothing herein shall preclude Huawei or any of its Affiliates from asserting the above mentioned patent claims against any party that asserts directly or indirectly a patent it owns or controls against Huawei and/or its Affiliates, or against any products of Huawei or its Affiliates either alone or in combination with other products.”

I would have less problem with this if relevance of the IPR claim to the draft could be identified.

Therefore I suggest either that Huawei otherwise substitutes a straight FRAND statement, or withdraws their claim.

Regards

Keith

From: EXT Roni Even [mailto:[email-masked]]
Sent: 11 March 2016 05:39
To: Drage, Keith (Nokia - GB); 'EXT Alan Clark'; [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Keith

Thanks
Roni

From: Drage, Keith (Nokia - GB) [mailto:[email-masked]]
Sent: Friday, March 11, 2016 3:56 AM
To: EXT Alan Clark; Roni Even; [email-masked]<mailto:[email-masked]>
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Regards

Keith Drage

Hi Roni

Best Regards

Alan

Hi Roni

Regards

Alan

Dan

Regards

Alan Clark

Thanks and Regards,

Dan

Hi,

We have two options:

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

xrblock mailing list

---

From: "Roni Even" <[email-masked]>
Date: Thu, 17 Mar 2016 00:08:52 +0200

Hi,

I support option 2

Roni Even

From: xrblock [mailto:[email-masked]] On Behalf Of Romascanu, Dan
(Dan)
Sent: Friday, January 29, 2016 8:34 AM
To: Huangyihong (Rachel); Alan Clark; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to
draft-ietf-xrblock-rtcp-xr-video-lc

Thanks, Rachel, for the information and for the efforts to clarify the issue
with the legal affairs department at your company. 

1.  Wait a few more weeks for an answer with further information – I
suggest no later than February 29, 2016

Thanks and Regards,

Dan

 

Subject: RE: [xrblock] after the IPR Disclosure related to

Dear all,

I have forwarded this IPR issue to our legal affairs department responsible
for this IPR disclosure. However, I didn’t get any information for now. And
I’m not sure if they have any that could be shared within the mailing list
or not (We all know that IETF policy doesn’t require the company to
analysis and verify the applying, which is what the legal team or even court
should do when meeting some legal problems). 

Meanwhile, I can’t do any clarification for them in public since we’re
totally different departments. It will against our company’s law. …So it’
s not within my control. Hope WG could understand that.

BR,

Rachel

From: xrblock [mailto:[email-masked]] On Behalf Of Huangyihong
(Rachel)
Sent: Friday, January 08, 2016 11:26 AM
To: Alan Clark; Romascanu, Dan (Dan); [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to
draft-ietf-xrblock-rtcp-xr-video-lc

Hi all,

This IPR is from another department so I’m not quite familiar with it. I’
ll invite the colleague who’s the IPR holder or responsible for the IPR
disclosure to clarify in the mailing list. Hope we can find some way to
solve this issue.

BR,

Rachel

发件人: xrblock [mailto:[email-masked]] 代表 Alan Clark
发送时间: 2016年1月7日 0:21
收件人: Romascanu, Dan (Dan); [email-masked]
主题: Re: [xrblock] after the IPR Disclosure related to
draft-ietf-xrblock-rtcp-xr-video-lc

Hi Dan

Within the IETF patent policy there is no requirement that I'm aware of that
requires a disclosing company to prove that the patent they reference does
in fact apply to the draft/RFC, which means that companies could make
disclosure statements that don't actually apply to the referenced draft/RFC.
In many larger companies the IPR/legal team may be distant from the
engineering team and I've seen cases in which allegations of infringement
were made based on a text match rather than a technical analysis. If, as WG
members, we feel that a disclosure may be inappropriate based on a technical
understanding of the draft/RFC and the patent then IMHO we should be willing
to politely point this out - if the disclosing company wants to keep the
disclosure anyway then we have to leave it to individual implementers to
obtain their own legal advice; my view is that as WG members and authors we
should try and keep the IPR situation as clear as possible.

I've encountered exactly this situation - my company develops software that
analyzes voice/ audio/ video stream performance and as part of this we model
the performance of a wide range of voice/ audio and video codecs. We have
been contacted numerous times by companies that have codec IPR and who see
that we analyze streams encoded with the G.xyz codec - we then have to
explain that we don't actually implement the codec, only a parametric model.

So - my position is that we should ask Rachel, as an author and a
representative of the disclosing company, to request that Huawei verify that
their disclosure does, in their opinion, apply. 

Regards

Alan

Hi Alan,

The statement that was posted a few weeks back explicitly refers to this I-D
– see https://datatracker.ietf.org/ipr/2725/
<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_i
pr_2725_&d=BQMFbw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRu
cPvdrphpBsFA&m=kiLRy3Dy18TaCdFTLegz5r3LuHhd2B0eMVVxbhrJLt0&s=LLsGFzAZgTvcoyP
_BY4A2BWWgGVV9e9ZAj16tjytCho&e=> . Of course, anybody can comment within the
rules, but the fact that the disclosing company considers the IPR related to
this I-D is public information.  

What is your position as WG participant and as co-author of the document?
What should the WG do? 

Thanks and Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Alan Clark
Sent: Tuesday, January 05, 2016 10:06 PM
To: [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to
draft-ietf-xrblock-rtcp-xr-video-lc

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

From: xrblock [mailto:[email-masked]] On Behalf Of Romascanu, Dan
(Dan)
Sent: Wednesday, December 16, 2015 12:55 PM
To: [email-masked]
Subject: [xrblock] after the IPR Disclosure related to
draft-ietf-xrblock-rtcp-xr-video-lc

Hi, 

As you may have seen an IPR disclosure that pertains to
draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The announcement
on the XRBLOCK mail list with  more information can be read at
http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html
<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_mail-2Darc
hive_web_xrblock_current_msg01914.html&d=BQMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I
4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=JT0PNFMVTwcCOwfJFWR9rPXwWO3aXrz
-8hcAnDMibu4&s=Y212mtSrLAN6yGGEigFnx-qwjZv_a0r5MpWucZswumg&e=> .  
 
This I-D was on the agenda of the IESG telechat this Thursday 12/17. Our AD
decided to defer this I-D to the next telechat scheduled for January 7, 2016
and asked us to confirm on the mail list that the WG still plans to proceed
with the I-D. 
 
Taking into account this new information – do the participants in the WG
want to proceed with the approval of this Internet-Draft? Please state your
opinions on the WG mail list until Monday January 4, 2016. 
 
Thanks and Regards,
 
Dan

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock
<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_l
istinfo_xrblock&d=BQMD-g&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQ
fucBXRucPvdrphpBsFA&m=QnXfHHtrCWuOTN6ltI1OQl5JKpT1vIEt5lm6yyUl-K0&s=ZDjj6FP8
ei9wzWsi7L54u3cKecOhJxcBl4LP8yojwBQ&e=>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 17 Mar 2016 03:40:17 +0000

Hi Roni,

You are answering now the January query which is expired. The updated one is http://www.ietf.org/mail-archive/web/xrblock/current/msg01958.html.

Please answer the updated question (two options).

Same  for all WG participants.

We solicited answers before March 22, 2016.

Thanks and Regards,

Dan

From: Roni Even [mailto:[email-masked]]
Sent: Thursday, March 17, 2016 12:09 AM
To: Romascanu, Dan (Dan); 'Huangyihong (Rachel)'; 'Alan Clark'; [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,
I support option 2
Roni Even

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

---

From: "Roni Even" <[email-masked]>
Date: Thu, 17 Mar 2016 08:10:14 +0200

Hi Dan,

To make it clear I support to continue as planned with the approval and
publication process

Roni

From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
Sent: Thursday, March 17, 2016 5:40 AM
To: Roni Even; 'Huangyihong (Rachel)'; 'Alan Clark'; [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to
draft-ietf-xrblock-rtcp-xr-video-lc

Hi Roni,

You are answering now the January query which is expired. The updated one is
http://www.ietf.org/mail-archive/web/xrblock/current/msg01958.html. 

Thanks and Regards,

Dan

To: Romascanu, Dan (Dan); 'Huangyihong (Rachel)'; 'Alan Clark';

Hi,

I support option 2

Roni Even

Thanks and Regards,

Dan

 

Dear all,

BR,

Rachel

Hi all,

BR,

Rachel

Hi Dan

Regards

Alan

Hi Alan,

Thanks and Regards,

Dan

Regards

Alan

Hi,

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi, 

 
 
Thanks and Regards,
 
Dan

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Thu, 17 Mar 2016 11:08:28 +0000

On the basis of the lack of information currently provided, my view is not to proceed with this document.

You can ask the question again if and when we receive an update of the declaration, or some other information.

Keith

From: xrblock [mailto:[email-masked]] On Behalf Of EXT Roni Even
Sent: 17 March 2016 06:10
To: 'Romascanu, Dan (Dan)'; 'Huangyihong (Rachel)'; 'Alan Clark'; [email-masked]
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Dan,
To make it clear I support to continue as planned with the approval and publication process

Roni

From: Romascanu, Dan (Dan) [mailto:[email-masked]]
Sent: Thursday, March 17, 2016 5:40 AM
To: Roni Even; 'Huangyihong (Rachel)'; 'Alan Clark'; [email-masked]<mailto:[email-masked]>
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Roni,

Thanks and Regards,

Dan

From: Roni Even [mailto:[email-masked]]
Sent: Thursday, March 17, 2016 12:09 AM
To: Romascanu, Dan (Dan); 'Huangyihong (Rachel)'; 'Alan Clark'; [email-masked]<mailto:[email-masked]>
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi,
I support option 2
Roni Even

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

---

From: Alan Clark <[email-masked]>
Date: Thu, 17 Mar 2016 11:06:45 -0400

Hi Dan

Just to be certain, I asked one of my colleagues, who is from China and 
is a video coding expert, to review the Chinese language original of the 
patent. He stated that he saw no claims (or descriptive language in the 
body of the patent) that related to performance metrics or metrics 
reporting.

As stated in my email of 15th March, I propose that the WG does not 
continue with this draft.

Best Regards

Alan

On 3/16/16 11:40 PM, Romascanu, Dan (Dan) wrote:
> *From:*Roni Even [mailto:[email-masked]]
> *Sent:* Thursday, March 17, 2016 12:09 AM
> *To:* Romascanu, Dan (Dan); 'Huangyihong (Rachel)'; 'Alan Clark'; 
> [email-masked]

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 17 Mar 2016 08:11:32 -0700

I agree with Keith. 

> On Mar 17, 2016, at 4:08 AM, Drage, Keith (Nokia - GB) <[email-masked]> wrote:
> 
> As you may have seen an IPR disclosure that pertains to draft-ietf-xrblock-rtcp-xr-video-lc was submitted recently. The announcement on the XRBLOCK mail list with  more information can be read at http://www.ietf.org/mail-archive/web/xrblock/current/msg01914.html.  
>

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Fri, 18 Mar 2016 01:11:41 +0000

Hi Keith,

What do you mean “the lack of information currently provided”? I’m not sure what information you’re looking for.

BR,
Rachel

From: Drage, Keith (Nokia - GB) [mailto:[email-masked]]
Sent: Thursday, March 17, 2016 7:08 PM
To: EXT Roni Even; 'Romascanu, Dan (Dan)'; Huangyihong (Rachel); 'Alan Clark'; [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Keith

From: xrblock [mailto:[email-masked]] On Behalf Of EXT Roni Even
Sent: 17 March 2016 06:10
To: 'Romascanu, Dan (Dan)'; 'Huangyihong (Rachel)'; 'Alan Clark'; [email-masked]<mailto:[email-masked]>
Subject: Re: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Dan,

Roni

Hi Roni,

Thanks and Regards,

Dan

Hi,
I support option 2
Roni Even

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Fri, 18 Mar 2016 02:02:02 +0000

Without committing myself, I’m looking either for a clearer understanding that the declaration is applicable to the draft, or a withdrawal of the part in the declaration basically using an invalid declaration as a hostage taker.

From that we can then proceed to discuss.

Regards

Keith

From: EXT Huangyihong (Rachel) [mailto:[email-masked]]
Sent: 18 March 2016 01:12
To: Drage, Keith (Nokia - GB); EXT Roni Even; 'Romascanu, Dan (Dan)'; 'Alan Clark'; [email-masked]
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Hi Keith,

BR,
Rachel

From: Drage, Keith (Nokia - GB) [mailto:[email-masked]]
Sent: Thursday, March 17, 2016 7:08 PM
To: EXT Roni Even; 'Romascanu, Dan (Dan)'; Huangyihong (Rachel); 'Alan Clark'; [email-masked]<mailto:[email-masked]>
Subject: RE: [xrblock] after the IPR Disclosure related to draft-ietf-xrblock-rtcp-xr-video-lc

Keith

Hi Dan,

Roni

Hi Roni,

Thanks and Regards,

Dan

Hi,
I support option 2
Roni Even

Thanks and Regards,

Dan

Dear all,

BR,
Rachel

Hi all,

BR,
Rachel

Hi Dan

Regards

Alan

Thanks and Regards,

Dan

Regards

Alan

1.       Continue as planned

2.       Do not continue

Thanks and Regards,

Dan

Hi,

Thanks and Regards,

Dan

xrblock mailing list

---

From: Cullen Jennings <[email-masked]>
Date: Sat, 19 Mar 2016 06:34:59 -0600

At this point, I support #2. 

In the future, if the IPR holder decides to remove this IPR disclosure or provide an explanation of how the claims apply to the draft, I would want the WG to reconsider moving the document forward. 

> On Mar 8, 2016, at 5:41 AM, Romascanu, Dan (Dan) <[email-masked]> wrote:
>

---

From: Bernard Aboba <[email-masked]>
Date: Sat, 19 Mar 2016 08:33:22 -0700

I also support #2. 

> On Mar 19, 2016, at 05:34, Cullen Jennings <[email-masked]> wrote:
> 
>